[ALSA-2020:5500] Important: mariadb:10.3 security, bug fix, and enhancement update
Type:
security
Severity:
important
Release date:
2020-12-15
Description:
MariaDB is a multi-user, multi-threaded SQL database server that is binary compatible with MySQL. The following packages have been upgraded to a later upstream version: mariadb (10.3.27), galera (25.3.31). (BZ#1899082, BZ#1899086) Security Fix(es): * mariadb: Insufficient SST method name check leading to code injection in mysql-wsrep (CVE-2020-15180) * mysql: InnoDB unspecified vulnerability (CPU Oct 2019) (CVE-2019-2938) * mysql: Server: Optimizer unspecified vulnerability (CPU Oct 2019) (CVE-2019-2974) * mysql: C API unspecified vulnerability (CPU Apr 2020) (CVE-2020-2752) * mysql: InnoDB unspecified vulnerability (CPU Apr 2020) (CVE-2020-2760) * mysql: Server: DML unspecified vulnerability (CPU Apr 2020) (CVE-2020-2780) * mysql: Server: Stored Procedure unspecified vulnerability (CPU Apr 2020) (CVE-2020-2812) * mysql: InnoDB unspecified vulnerability (CPU Apr 2020) (CVE-2020-2814) * mariadb-connector-c: Improper validation of content in a OK packet received from server (CVE-2020-13249) * mysql: Server: FTS unspecified vulnerability (CPU Oct 2020) (CVE-2020-14765) * mysql: InnoDB unspecified vulnerability (CPU Oct 2020) (CVE-2020-14776) * mysql: Server: FTS unspecified vulnerability (CPU Oct 2020) (CVE-2020-14789) * mysql: Server: Locking unspecified vulnerability (CPU Oct 2020) (CVE-2020-14812) * mysql: C API unspecified vulnerability (CPU Jan 2020) (CVE-2020-2574) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Bug Fix(es): * FTBFS: -D_GLIBCXX_ASSERTIONS (BZ#1899009) * Queries with entity_id IN ('1', '2', …, '70000') run much slower in MariaDB 10.3 than on MariaDB 10.1 (BZ#1899017) * Cleanup race with wsrep_rsync_sst_tunnel may prevent full galera cluster bootstrap (BZ#1899021) * There are undeclared file conflicts in several mariadb and mysql packages (BZ#1899077)
Updated packages:
  • Judy-1.0.5-18.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • galera-25.3.31-1.module_el8.3.0+2063+5e3224e9.x86_64.rpm
  • mariadb-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-backup-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-common-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-devel-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-embedded-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-embedded-devel-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-errmsg-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-gssapi-server-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-oqgraph-engine-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-server-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-server-galera-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-server-utils-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
  • mariadb-test-10.3.27-3.module_el8.3.0+2028+5e3224e9.x86_64.rpm
Notes:
This page is generated automatically and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.